Last Comment Bug 523562 - Fix building of SeaMonkey Mac (and possibly part of Windows) on trunk following bug 516213 (Freshen WebGL implementation)
: Fix building of SeaMonkey Mac (and possibly part of Windows) on trunk followi...
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1a1
Assigned To: Mark Banner (:standard8)
:
Mentors:
Depends on: 516213 516858
Blocks: CcMcBuildIssues
  Show dependency treegraph
 
Reported: 2009-10-21 04:37 PDT by Mark Banner (:standard8)
Modified: 2009-10-23 15:38 PDT (History)
1 user (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
The fix [Checkin: Comment 2] (674 bytes, patch)
2009-10-21 04:37 PDT, Mark Banner (:standard8)
kairo: review+
Details | Diff | Splinter Review
(Bv1) Don't re-add obsolete 'mac' MOZ_WIDGET_TOOLKIT tests [Checkin: See comment 5] (1.14 KB, patch)
2009-10-22 13:10 PDT, Serge Gautherie (:sgautherie)
kairo: review+
Details | Diff | Splinter Review

Description Mark Banner (:standard8) 2009-10-21 04:37:02 PDT
Created attachment 407501 [details] [diff] [review]
The fix
[Checkin: Comment 2]

Bug 516213 means that we now require to link against OpenGL on windows & mac for static builds.

The attached patch will do that for trunk builds, and take account of 1.9.2 just in case we go there (its a copy & paste of what I fixed for Thunderbird minus a 1.9.1 ifdef).

I'll land this once we branch (hence no 1.9.1 ifdef), and if necessary it can be used to check the triggering of builders as it is low risk.
Comment 1 Robert Kaiser 2009-10-21 06:55:22 PDT
Comment on attachment 407501 [details] [diff] [review]
The fix
[Checkin: Comment 2]

Thanks, Mark, this has been on my TODO for "once I'm out of all this 2.0 final trouble" for some time now, as I'd really like to get trunk nightlies to go green again.
I'm somewhat eager to see it land, but agree that it's probably best to wait for branching, given it comes up tomorrow :)
Comment 2 Mark Banner (:standard8) 2009-10-22 11:22:33 PDT
Checked in: http://hg.mozilla.org/comm-central/rev/054cff11b1e1
Comment 3 Serge Gautherie (:sgautherie) 2009-10-22 13:10:43 PDT
Created attachment 407836 [details] [diff] [review]
(Bv1) Don't re-add obsolete 'mac' MOZ_WIDGET_TOOLKIT tests
[Checkin: See comment 5]
Comment 4 Robert Kaiser 2009-10-23 05:36:17 PDT
Comment on attachment 407836 [details] [diff] [review]
(Bv1) Don't re-add obsolete 'mac' MOZ_WIDGET_TOOLKIT tests
[Checkin: See comment 5]

r=me for the actual code change, but please leave all the empty lines in, it's more readable with them than without them.
Comment 5 Serge Gautherie (:sgautherie) 2009-10-23 11:53:34 PDT
Comment on attachment 407836 [details] [diff] [review]
(Bv1) Don't re-add obsolete 'mac' MOZ_WIDGET_TOOLKIT tests
[Checkin: See comment 5]


http://hg.mozilla.org/comm-central/rev/53d99e4b5403
Bv1, with comment 4 suggestion(s).

Note You need to log in before you can comment on or make changes to this bug.